#---
#apiVersion: v1
#kind: PersistentVolume
#metadata:
#  name: hub-db-dir
#  namespace: jhub
#spec:
#  capacity:
#    storage: 1Gi
#  volumeMode: Filesystem
#  accessModes:
#    - ReadWriteMany
#  persistentVolumeReclaimPolicy: Retain # Keep 4eva
#  storageClassName: managed-nfs-storage
#  mountOptions:
#    - hard
#    - nfsvers=3
#  nfs:
#    path: /mnt/DroboFS/Shares/Kubernetes/volumes/static/hub-db-dir
#    server: 10.42.42.10
#  claimRef:
#    name: hub-db-dir
#    namespace: jhub
#---
#apiVersion: v1
#kind: PersistentVolumeClaim
#metadata:
#  name: hub-db-dir
#  namespace: jhub
#  annotations:
#    nfs.io/storage-path: "hub-db-dir"
#spec:
#  storageClassName: managed-nfs-storage
#  accessModes:
#    - ReadWriteMany
#  resources:
#    requests:
#      storage: 1Gi
#status: {}
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: claim-admin
  namespace: jhub
spec:
  capacity:
    storage: 10Gi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain # Keep 4eva
  storageClassName: managed-nfs-storage
  mountOptions:
    - hard
    - nfsvers=3
  nfs:
    path: /mnt/DroboFS/Shares/Kubernetes/volumes/static/claim-admin
    server: 10.42.42.10
  claimRef:
    name: claim-admin
    namespace: jhub
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: claim-admin
  namespace: jhub
  annotations:
    nfs.io/storage-path: "claim-admin"
spec:
  storageClassName: managed-nfs-storage
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
status: {}
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: user-shared
  namespace: jhub
spec:
  capacity:
    storage: 10Gi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain # Keep 4eva
  storageClassName: managed-nfs-storage
  mountOptions:
    - hard
    - nfsvers=3
  nfs:
    path: /mnt/DroboFS/Shares/Kubernetes/volumes/static/jhub-user-shared
    server: 10.42.42.10
  claimRef:
    name: user-shared
    namespace: jhub
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: user-shared
  namespace: jhub
  annotations:
    nfs.io/storage-path: "user-shared"
spec:
  storageClassName: managed-nfs-storage
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
status: {}
